This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 216574 - [RHEL5] extremely slow performance; evolution appears to lock up when using connector
[RHEL5] extremely slow performance; evolution appears to lock up when using c...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 00:41 EST by donavan nelson
Modified: 2008-07-14 16:14 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2008-0361
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description donavan nelson 2006-11-21 00:41:31 EST
+++ This bug was initially created as a clone of Bug #212211 +++

Description of problem:

evolution appears to lock up when using connector, but if left sitting for a
lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
on the exchange server.

Following the initial load it then takes between 30 seconds and 3 minutes to
just click on a subject and have the summary window populated.  My workstation
is a 2.8Ghz P4 1G of memory running a bare metal fresh install of FC6.

Version-Release number of selected component (if applicable):

$ rpm -qa evolution\*
evolution-2.8.0-7.fc6
evolution-webcal-2.7.1-6
evolution-connector-2.8.0-3.fc6
evolution-data-server-devel-1.8.0-11.fc6
evolution-data-server-1.8.0-11.fc6
evolution-sharp-0.11.1-10.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

terrible performance
Expected results:


Additional info:

-- Additional comment from louis@lagendijk.xs4all.nl on 2006-11-03 04:16 EST --
(In reply to comment #0)
> Description of problem:
> 
> evolution appears to lock up when using connector, but if left sitting for a
> lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
> on the exchange server.
> 
> Following the initial load it then takes between 30 seconds and 3 minutes to
> just click on a subject and have the summary window populated.  My workstation
> is a 2.8Ghz P4 1G of memory running a bare metal fresh install of FC6.
> 
I have the same problem. There is a lot of IP-traffic while the connector is
running (observed with tcpdump). Connector appears to be downloading a lot of
stuff from public folders

-- Additional comment from louis@lagendijk.xs4all.nl on 2006-11-06 16:59 EST --
(In reply to comment #1)
> (In reply to comment #0)
> > Description of problem:
> > 
> > evolution appears to lock up when using connector, but if left sitting for a
> > lengthy time (31 minutes in my latest attempt) it finally indexes the mail box
> > on the exchange server.
This issue appears to be solved with evolution/connector  2.8.1-3. I have now
setup all accounts again, and evolution works fine with exchange again

-- Additional comment from norman.r.weathers@conocophillips.com on 2006-11-08
10:35 EST --
I also am having trouble with evolution and evolution-connector.  My setup is an
x86_64 box (64 bit version FC6), and I am connecting to an Exchange server. 
What is weird is that if I try to change preferences, I get the lockup.  I
haven't tried to let it set for 30 minutes, but I know that after 2-3 minutes,
it does not appear to want to come back.  I am using the latest updates (as of
Nov 8, 2006).  I also am using the 32 bit version on another machine (also FC6),
and it appears to be a little bit better behaved, but it too on occassion just
locks up if I try to go into the preferences.

What else is weird is that I am trying to remove the original configuration for
my evolution setup, and I am assuming that the /home/<user>/.evolution directory
is the place where this information is kept, and I would think that if I deleted
this directory, I should get a clean evolution back.... No such luck.  Any
pointer to where I should go to clean up the evolution information so that I can
see if a clean evolution setup will work?

Thanks,

Norman Weathers

-- Additional comment from mbarnes@redhat.com on 2006-11-08 11:54 EST --
Norman, to purge your account of all Evolution configuration, you also need to
open the Configuration Editor and delete everything under "/apps/evolution". 
Also delete ~/.gnome2_private/Evolution, which is where your passwords are stored.
Comment 1 donavan nelson 2006-11-21 00:44:25 EST
This problem exists in rhel5b2 stock evolution components as well.
Comment 2 Mark J. Scheller 2007-04-18 06:57:51 EDT
Problem still exists with shipped RHEL5 final -- ~30 minute wait while public
folders are completely transferred.  With the evolution-data-server
1.8.0-15.0.2.el5 the problem actually gets worse, with the massive vacuuming of
the public folders not finishing within the 1 hour I waited.
Comment 4 RHEL Product and Program Management 2007-05-01 11:55:36 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Matthew Barnes 2007-06-29 01:01:45 EDT
Upstream has been doing a lot of great work in this area.  See:
http://blogs.gnome.org/sragavan/2007/06/28/exchange-folder-loading-480-seconds-to-microseconds/

I plan to look into backporting this work to RHEL5 once the patch is finalized.
Comment 7 RHEL Product and Program Management 2007-10-19 16:32:40 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Matthew Barnes 2007-11-13 15:42:52 EST
Rebased package is evolution-2.12.1-4.el5.
Comment 14 Matthew Barnes 2008-01-17 16:32:58 EST
Changing status to MODIFIED.  The rebase to version 2.12 should address this.
Comment 19 errata-xmlrpc 2008-05-21 11:17:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0361.html

Note You need to log in before you can comment on or make changes to this bug.